Package org.flywaydb.core.api.callback

## Enum Event

- java.lang.Object
- - java.lang.Enum<Event>
  - - org.flywaydb.core.api.callback.Event

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Event>`

      public enum Event
      extends java.lang.Enum<Event>

  The Flyway lifecycle events that can be handled in callbacks.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_BASELINE` | Fired after baseline has succeeded.
    `AFTER_BASELINE_ERROR` | Fired after baseline has failed.
    `AFTER_BASELINE_OPERATION_FINISH` | Fired after a validate operation has finished.
    `AFTER_CLEAN` | Fired after clean has succeeded.
    `AFTER_CLEAN_ERROR` | Fired after clean has failed.
    `AFTER_CLEAN_OPERATION_FINISH` | Fired after a clean operation has finished.
    `AFTER_EACH_MIGRATE` | Fired after each individual migration that succeeded.
    `AFTER_EACH_MIGRATE_ERROR` | Fired after each individual migration that failed.
    `AFTER_EACH_MIGRATE_STATEMENT` | Fired after each individual statement in a migration that succeeded.
    `AFTER_EACH_MIGRATE_STATEMENT_ERROR` | Fired after each individual statement in a migration that failed.
    `AFTER_EACH_UNDO` | Fired after each individual undo that succeeded.
    `AFTER_EACH_UNDO_ERROR` | Fired after each individual undo that failed.
    `AFTER_EACH_UNDO_STATEMENT` | Fired after each individual statement in an undo migration that succeeded.
    `AFTER_EACH_UNDO_STATEMENT_ERROR` | Fired after each individual statement in an undo migration that failed.
    `AFTER_INFO` | Fired after info has succeeded.
    `AFTER_INFO_ERROR` | Fired after info has failed.
    `AFTER_INFO_OPERATION_FINISH` | Fired after an info operation has finished.
    `AFTER_MIGRATE` | Fired after migrate has succeeded.
    `AFTER_MIGRATE_APPLIED` | Fired after migrate has succeeded, and at least one migration has been applied.
    `AFTER_MIGRATE_ERROR` | Fired after migrate has failed.
    `AFTER_MIGRATE_OPERATION_FINISH` | Fired after a migrate operation has finished.
    `AFTER_REPAIR` | Fired after repair has succeeded.
    `AFTER_REPAIR_ERROR` | Fired after repair has failed.
    `AFTER_REPAIR_OPERATION_FINISH` | Fired after a validate operation has finished.
    `AFTER_UNDO` | Fired after undo has succeeded.
    `AFTER_UNDO_ERROR` | Fired after undo has failed.
    `AFTER_UNDO_OPERATION_FINISH` | Fired after a validate operation has finished.
    `AFTER_VALIDATE` | Fired after validate has succeeded.
    `AFTER_VALIDATE_ERROR` | Fired after validate has failed.
    `AFTER_VALIDATE_OPERATION_FINISH` | Fired after a validate operation has finished.
    `AFTER_VERSIONED` | Fired after all versioned migrations are applied.
    `BEFORE_BASELINE` | Fired before baseline is executed.
    `BEFORE_CLEAN` | Fired before clean is executed.
    `BEFORE_CONNECT` | Fired before a connection is created.
    `BEFORE_EACH_MIGRATE` | Fired before each individual migration is executed.
    `BEFORE_EACH_MIGRATE_STATEMENT` | Fired before each individual statement in a migration is executed.
    `BEFORE_EACH_UNDO` | Fired before each individual undo is executed.
    `BEFORE_EACH_UNDO_STATEMENT` | Fired before each individual statement in an undo migration is executed.
    `BEFORE_INFO` | Fired before info is executed.
    `BEFORE_MIGRATE` | Fired before migrate is executed.
    `BEFORE_REPAIR` | Fired before repair is executed.
    `BEFORE_REPEATABLES` | Fired before any repeatable migrations are applied.
    `BEFORE_UNDO` | Fired before undo is executed.
    `BEFORE_VALIDATE` | Fired before validate is executed.
    `CREATE_SCHEMA` | Fired before any non-existent schemas are created.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Event` | `fromId​(java.lang.String id)` | Retrieves the event with this id.
    `java.lang.String` | `getId()` |
    `java.lang.String` | `toString()` |
    `static Event` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Event[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE_CLEAN

          public static final Event BEFORE_CLEAN

      Fired before clean is executed. This event will be fired in a separate transaction from the actual clean operation.

    - #### AFTER_CLEAN

          public static final Event AFTER_CLEAN

      Fired after clean has succeeded. This event will be fired in a separate transaction from the actual clean operation.

    - #### AFTER_CLEAN_ERROR

          public static final Event AFTER_CLEAN_ERROR

      Fired after clean has failed. This event will be fired in a separate transaction from the actual clean operation.

    - #### BEFORE_MIGRATE

          public static final Event BEFORE_MIGRATE

      Fired before migrate is executed. This event will be fired in a separate transaction from the actual migrate operation.

    - #### BEFORE_EACH_MIGRATE

          public static final Event BEFORE_EACH_MIGRATE

      Fired before each individual migration is executed. This event will be fired within the same transaction (if any) as the migration and can be used for things like setting up connection parameters that are required by migrations.

    - #### BEFORE_EACH_MIGRATE_STATEMENT

          public static final Event BEFORE_EACH_MIGRATE_STATEMENT

      Fired before each individual statement in a migration is executed. This event will be fired within the same transaction (if any) as the migration and can be used for things like asserting a statement complies with policy (for example: no grant statements allowed).

      Flyway Teams Edition only

    - #### AFTER_EACH_MIGRATE_STATEMENT

          public static final Event AFTER_EACH_MIGRATE_STATEMENT

      Fired after each individual statement in a migration that succeeded. This event will be fired within the same transaction (if any) as the migration.

      Flyway Teams Edition only

    - #### AFTER_EACH_MIGRATE_STATEMENT_ERROR

          public static final Event AFTER_EACH_MIGRATE_STATEMENT_ERROR

      Fired after each individual statement in a migration that failed. This event will be fired within the same transaction (if any) as the migration.

      Flyway Teams Edition only

    - #### AFTER_EACH_MIGRATE

          public static final Event AFTER_EACH_MIGRATE

      Fired after each individual migration that succeeded. This event will be fired within the same transaction (if any) as the migration.

    - #### AFTER_EACH_MIGRATE_ERROR

          public static final Event AFTER_EACH_MIGRATE_ERROR

      Fired after each individual migration that failed. This event will be fired within the same transaction (if any) as the migration.

    - #### BEFORE_REPEATABLES

          public static final Event BEFORE_REPEATABLES

      Fired before any repeatable migrations are applied. This event will be fired in a separate transaction from the actual migrate operation.

    - #### AFTER_VERSIONED

          public static final Event AFTER_VERSIONED

      Fired after all versioned migrations are applied. This event will be fired in a separate transaction from the actual migrate operation.

    - #### AFTER_MIGRATE_APPLIED

          public static final Event AFTER_MIGRATE_APPLIED

      Fired after migrate has succeeded, and at least one migration has been applied. This event will be fired in a separate transaction from the actual migrate operation.

    - #### AFTER_MIGRATE

          public static final Event AFTER_MIGRATE

      Fired after migrate has succeeded. This event will be fired in a separate transaction from the actual migrate operation.

    - #### AFTER_MIGRATE_ERROR

          public static final Event AFTER_MIGRATE_ERROR

      Fired after migrate has failed. This event will be fired in a separate transaction from the actual migrate operation.

    - #### BEFORE_UNDO

          public static final Event BEFORE_UNDO

      Fired before undo is executed. This event will be fired in a separate transaction from the actual undo operation.

      Flyway Teams Edition only

    - #### BEFORE_EACH_UNDO

          public static final Event BEFORE_EACH_UNDO

      Fired before each individual undo is executed. This event will be fired within the same transaction (if any) as the undo and can be used for things like setting up connection parameters that are required by undo.

      Flyway Teams Edition only

    - #### BEFORE_EACH_UNDO_STATEMENT

          public static final Event BEFORE_EACH_UNDO_STATEMENT

      Fired before each individual statement in an undo migration is executed. This event will be fired within the same transaction (if any) as the migration and can be used for things like asserting a statement complies with policy (for example: no grant statements allowed).

      Flyway Teams Edition only

    - #### AFTER_EACH_UNDO_STATEMENT

          public static final Event AFTER_EACH_UNDO_STATEMENT

      Fired after each individual statement in an undo migration that succeeded. This event will be fired within the same transaction (if any) as the migration.

      Flyway Teams Edition only

    - #### AFTER_EACH_UNDO_STATEMENT_ERROR

          public static final Event AFTER_EACH_UNDO_STATEMENT_ERROR

      Fired after each individual statement in an undo migration that failed. This event will be fired within the same transaction (if any) as the migration.

      Flyway Teams Edition only

    - #### AFTER_EACH_UNDO

          public static final Event AFTER_EACH_UNDO

      Fired after each individual undo that succeeded. This event will be fired within the same transaction (if any) as the undo.

      Flyway Teams Edition only

    - #### AFTER_EACH_UNDO_ERROR

          public static final Event AFTER_EACH_UNDO_ERROR

      Fired after each individual undo that failed. This event will be fired within the same transaction (if any) as the undo.

      Flyway Teams Edition only

    - #### AFTER_UNDO

          public static final Event AFTER_UNDO

      Fired after undo has succeeded. This event will be fired in a separate transaction from the actual undo operation.

      Flyway Teams Edition only

    - #### AFTER_UNDO_ERROR

          public static final Event AFTER_UNDO_ERROR

      Fired after undo has failed. This event will be fired in a separate transaction from the actual undo operation.

      Flyway Teams Edition only

    - #### BEFORE_VALIDATE

          public static final Event BEFORE_VALIDATE

      Fired before validate is executed. This event will be fired in a separate transaction from the actual validate operation.

    - #### AFTER_VALIDATE

          public static final Event AFTER_VALIDATE

      Fired after validate has succeeded. This event will be fired in a separate transaction from the actual validate operation.

    - #### AFTER_VALIDATE_ERROR

          public static final Event AFTER_VALIDATE_ERROR

      Fired after validate has failed. This event will be fired in a separate transaction from the actual validate operation.

    - #### BEFORE_BASELINE

          public static final Event BEFORE_BASELINE

      Fired before baseline is executed. This event will be fired in a separate transaction from the actual baseline operation.

    - #### AFTER_BASELINE

          public static final Event AFTER_BASELINE

      Fired after baseline has succeeded. This event will be fired in a separate transaction from the actual baseline operation.

    - #### AFTER_BASELINE_ERROR

          public static final Event AFTER_BASELINE_ERROR

      Fired after baseline has failed. This event will be fired in a separate transaction from the actual baseline operation.

    - #### BEFORE_REPAIR

          public static final Event BEFORE_REPAIR

      Fired before repair is executed. This event will be fired in a separate transaction from the actual repair operation.

    - #### AFTER_REPAIR

          public static final Event AFTER_REPAIR

      Fired after repair has succeeded. This event will be fired in a separate transaction from the actual repair operation.

    - #### AFTER_REPAIR_ERROR

          public static final Event AFTER_REPAIR_ERROR

      Fired after repair has failed. This event will be fired in a separate transaction from the actual repair operation.

    - #### BEFORE_INFO

          public static final Event BEFORE_INFO

      Fired before info is executed. This event will be fired in a separate transaction from the actual info operation.

    - #### AFTER_INFO

          public static final Event AFTER_INFO

      Fired after info has succeeded. This event will be fired in a separate transaction from the actual info operation.

    - #### AFTER_INFO_ERROR

          public static final Event AFTER_INFO_ERROR

      Fired after info has failed. This event will be fired in a separate transaction from the actual info operation.

    - #### AFTER_MIGRATE_OPERATION_FINISH

          public static final Event AFTER_MIGRATE_OPERATION_FINISH

      Fired after a migrate operation has finished.

    - #### AFTER_INFO_OPERATION_FINISH

          public static final Event AFTER_INFO_OPERATION_FINISH

      Fired after an info operation has finished.

    - #### AFTER_CLEAN_OPERATION_FINISH

          public static final Event AFTER_CLEAN_OPERATION_FINISH

      Fired after a clean operation has finished.

    - #### AFTER_VALIDATE_OPERATION_FINISH

          public static final Event AFTER_VALIDATE_OPERATION_FINISH

      Fired after a validate operation has finished.

    - #### AFTER_UNDO_OPERATION_FINISH

          public static final Event AFTER_UNDO_OPERATION_FINISH

      Fired after a validate operation has finished.

    - #### AFTER_REPAIR_OPERATION_FINISH

          public static final Event AFTER_REPAIR_OPERATION_FINISH

      Fired after a validate operation has finished.

    - #### AFTER_BASELINE_OPERATION_FINISH

          public static final Event AFTER_BASELINE_OPERATION_FINISH

      Fired after a validate operation has finished.

    - #### CREATE_SCHEMA

          public static final Event CREATE_SCHEMA

      Fired before any non-existent schemas are created.

    - #### BEFORE_CONNECT

          public static final Event BEFORE_CONNECT

      Fired before a connection is created. These must be arbitrary scripts only (e.g. ps1, cmd, sh etc.)

      Flyway Teams Edition only

  - ### Method Detail

    - #### values

          public static Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event c : Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromId

          public static Event fromId​(java.lang.String id)

      Retrieves the event with this id.
      Parameters:
        `id` - The id.
      Returns:
        The event. `null` if not found.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Event>`

    - #### getId

          public java.lang.String getId()

      Returns:
        The id of an event. Examples: `beforeClean`, `afterEachMigrate`, ...